#### D.15.4.43 derivationContractionGen

Procedure from library `difform.lib` (see difform_lib).

Usage:
  derivationContractionGen(phi,d_gen); phi derivation, d_gen difform

Assume:
  d_gen is a generator of the differential algebra

Return:
  the image of d_gen under the contraction map i_phi

Remarks:
  The formula for the contraction map applied to a generator of degree l is given by: i_phi^(l)(dx_k*...*dx_j) = sum(i=1,..l)(-1)^(i+1) * phi(dx_i) * (dx_k*...*dx_j / dx_i)

Note:
  this procedure should only be applied to generators

See also: derivationContraction.

User manual for Singular version 4.4.1, 2025, generated by texi2html.